summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLibravatar Sven Verdoolaege <skimo@kotnet.org>2007-06-22 17:49:08 +0200
committerLibravatar Junio C Hamano <gitster@pobox.com>2007-06-24 02:02:28 -0700
commitfc746df6476078fa04f821aea00f84bbe13dbf9f (patch)
tree42ccf2433bb99db2a4b159f87261a4be1bff55cc
parentMerge branch 'master' of git://repo.or.cz/git/fastimport (diff)
downloadtgif-fc746df6476078fa04f821aea00f84bbe13dbf9f.tar.xz
t9500: skip gitweb tests if perl version is too old
gitweb calls Encode::decode_utf8 with two arguments, but old versions of perl only allow this function to be called with one argument. Even older versions of perl do not even have an Encode module. Signed-off-by: Sven Verdoolaege <skimo@kotnet.org> Signed-off-by: Junio C Hamano <gitster@pobox.com>
-rwxr-xr-xt/t9500-gitweb-standalone-no-errors.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/t/t9500-gitweb-standalone-no-errors.sh b/t/t9500-gitweb-standalone-no-errors.sh
index 44ae503b99..d948724566 100755
--- a/t/t9500-gitweb-standalone-no-errors.sh
+++ b/t/t9500-gitweb-standalone-no-errors.sh
@@ -60,6 +60,12 @@ gitweb_run () {
. ./test-lib.sh
+perl -MEncode -e 'decode_utf8("", Encode::FB_CROAK)' >/dev/null 2>&1 || {
+ test_expect_success 'skipping gitweb tests, perl version is too old' :
+ test_done
+ exit
+}
+
gitweb_init
# ----------------------------------------------------------------------